Solidus ya soporta Rails 5 gracias a la nueva versión 2.0.0

Solidus ya soporta Rails 5 gracias a la nueva versión 2.0.0

Solidus, la plataforma de tiendas online desarrollada a partir de un fork de Spree, continúa su evolución dando un enorme paso hacia delante. Gracias a su tecnología y al software Open Source en el que se basa, Solidus es capaz de ofrecer todo lo que necesita un negocio para poner su escaparate al alcance de todo el mundo. Basado en Ruby para el lenguaje de programación, con el framework Rails para optimizar el flujo de trabajo, Solidus se pone al día gracias a nuevas actualizaciones.

El equipo de Solidus actualiza la plataforma para soportar las dos versiones más utilizadas de Ruby on Rails. Por un lado presenta Solidus 1.4.0 como última versión en ser compatible con Rail 4.2. Y da un salto adelante con Solidus 2.0.0 soportando el más reciente Rails 5. Las diferencias entre ambas versiones son únicamente a nivel de compatibilidad con Rails, por lo que el changelog es idéntico para ambas.

La lista de cambios para la actualización de Solidus está disponible en la web de Solidus. Entre dichos cambios están los siguientes:

  • Solidus utilizará los datos en memoria para la actualización de pedidos con referencia a”OrderUpdater”.
  • El comportamiento del objeto “Wallet” ahora puede configurarse.
  • Se aplican cambios estéticos para la interfaz del backend.
  • Añadido el filtrado de pedidos por tienda cuando se trata de un negocio multitienda.
  • Actualizadas ciertas reglas en el código así como el arreglo de valores y mejoras en las bases de datos.
  • Se optimiza el código Javascript para el uso de cupones descuento.
  • Otras mejoras y optimizaciones menores.

Podéis acceder al GitHub de Solidus para conocer a fondo ambas versiones. Recordad que la única diferencia entre la 1.4.2 y la 2.0.0 es la compatibilidad con Rails 5 de esta última.

Related Posts

Leave a reply

Time limit is exhausted. Please reload CAPTCHA.